<?php include 'header.php'; ?>
    <h1><img style="width:75px;" src="./logos/tildeverse-green.png">tildeverse.org</h1>

    <p>
        we're a loose association of like-minded <em>tilde</em> communities.
        if you're interested in learning about *nix (linux, unix, bsd, etc) 
        come check out our <a href="members/">member tildes</a> and sign up!
    </p>

    <p>
        tildes are pubnixes in the spirit of <a href="http://tilde.club">tilde.club</a>,
        which was created in 2014 by <a href="https://medium.com/message/tilde-club-i-had-a-couple-drinks-and-woke-up-with-1-000-nerds-a8904f0a2ebf">paul ford</a>.
    </p>

    <p>
        member status in the tildeverse mainly involves some level of
        engagement or presence on irc; all other systems are independent.
    </p>

    <p>
        stop by our <a href="https://tilde.chat">irc network</a>
        (or use our <a href="https://web.tilde.chat">web client</a>) and hang out. 
        there's a bot that can toot from <a rel="me" href="https://tilde.zone/@tildeverse">this mastodon account</a>, but it's mostly silly quotes from chat.
    </p>

    <hr>
    <h3>members</h3>

    <p><em><a href="members/">see more details</a></em></p>

    <?php foreach (json_decode(file_get_contents("members.json"))->members as $member): ?>
        <a href="<?=$member->link?>" class="btn btn-default"><?=$member->name?></a>
    <?php endforeach; ?>

    <hr>
    <h3>services and projects</h3>

    <p>
        here are some of the things that we provide for tilde users and some
        projects that we're working on
    </p>

    <p>
        this list is generated from the <a href="https://tildegit.org/tildeverse">tildeverse org</a>
        on our <a href="https://tildegit.org">gitea</a>
    </p>

    <div class="list-group">

        <?php foreach (json_decode(file_get_contents("https://tildegit.org/api/v1/orgs/tildeverse/repos")) ?? [] as $repo): ?>
            <div class="list-group-item">
                <h3 class="list-group-item-heading"><a href="<?=$repo->html_url?>"><?=$repo->name?></a></h3>
                <p class="list-group-item-text">
                    <?=$repo->description?><?php if ($repo->website != ""): ?> - 
                    <em><a href="<?=$repo->website?>"><?=$repo->website?></a></em><?php endif; ?>
                </p>
            </div>
        <?php endforeach;?>

    </div>

<?php include 'footer.php'; ?>

